# LiquidityProfile

`Version: 0.1.7`

## ILiquidityProfile

Fully qualified path: `spline_v0::profile::ILiquidityProfile`

```rust
pub trait ILiquidityProfile<TStorage>
```

### Trait functions

#### initial\_liquidity\_factor

Fully qualified path: `spline_v0::profile::ILiquidityProfile::initial_liquidity_factor`

```rust
fn initial_liquidity_factor(
    self: @TStorage, pool_key: ekubo::types::keys::PoolKey, initial_tick: ekubo::types::i129::i129,
) -> u128
```

#### description

Fully qualified path: `spline_v0::profile::ILiquidityProfile::description`

```rust
fn description(self: @TStorage) -> (ByteArray, ByteArray)
```

#### set\_liquidity\_profile

Fully qualified path: `spline_v0::profile::ILiquidityProfile::set_liquidity_profile`

```rust
fn set_liquidity_profile(
    ref self: TStorage,
    pool_key: ekubo::types::keys::PoolKey,
    params: Span<ekubo::types::i129::i129>,
)
```

#### get\_liquidity\_profile

Fully qualified path: `spline_v0::profile::ILiquidityProfile::get_liquidity_profile`

```rust
fn get_liquidity_profile(
    self: @TStorage, pool_key: ekubo::types::keys::PoolKey,
) -> Span<ekubo::types::i129::i129>
```

#### get\_liquidity\_updates

Fully qualified path: `spline_v0::profile::ILiquidityProfile::get_liquidity_updates`

```rust
fn get_liquidity_updates(
    self: @TStorage,
    pool_key: ekubo::types::keys::PoolKey,
    liquidity_factor: ekubo::types::i129::i129,
) -> Span<ekubo::interfaces::core::UpdatePositionParameters>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spline.finance/integration/technical-reference/liquidityprofile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
